PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List labels in a project GETList roles that can be assigned in a project GETList tasks in a project GETCreate a task POSTGet a task GETUpdate a task PATCHDelete a task DELETE
Tasks

List roles that can be assigned in a project

Workspace roles that can be task assignees in this project: roles with Manage any project, or Editor or Project manager access to the project. Sorted by rank (highest first), then name. Use `roleId` in `assigneeRoleIds`. Needs `PROJECTS_READ` or `TASKS_READ`.

GET
/projects/{projectId}/roles

Workspace roles that can be task assignees in this project: roles with Manage any project, or Editor or Project manager access to the project. Sorted by rank (highest first), then name. Use roleId in assigneeRoleIds. Needs PROJECTS_READ or TASKS_READ.

Authorization

x-api-key<token>

In: header

Path Parameters

projectId*string

Query Parameters

limit?integer
Rangevalue <= 100
Default50
offset?integer
Range0 <= value
Default0
search?string

Response Body

application/json

curl -X GET "https://example.com/projects/string/roles"
{  "data": [    {      "roleId": "string",      "name": "string",      "color": "string",      "rank": 0    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

List labels in a project GET

Previous Page

List tasks in a project GET

Next Page